<div style="position: relative;">
  <div class="userDetailsGrid" *ngIf="userDetails">
    <div class="userDetailsInnerGrid">
      <span style="float: right" class="user-edit" (click)="editProfileDetails()" matTooltip="Edit profile" matTooltipPosition="before"><i class="fa fa-user-edit cursorPointer" data-toggle="modal" data-target="#user-edit-modal" data-backdrop="static" data-keyboard="false"></i></span>
      <div class="LVG"><span class="label">Username: </span><span class="value">{{userDetails.username}}</span></div>
      <div class="LVG"><span class="label">First Name: </span><span class="value">{{userDetails.firstName}}</span></div>
      <div class="LVG"><span class="label">Last Name: </span><span class="value">{{userDetails.lastName}}</span></div>
      <div class="LVG"><span class="label">Email: </span><span class="value">{{userDetails.email}}</span></div>
      <div class="LVG"><span class="label">Role: </span><span class="value">{{userDetails.roles[0]}}</span></div>
      <div class="CPBG MT20">
        <a href="#" onclick="return false;" class="anchor" (click)="buildForm(); showChangePasswordGrid = true; passwordHide = true">change password</a>
      </div>

      <div *ngIf="showChangePasswordGrid">
        <div class="changePasswordGrid">
          <div class="remark ML10">You will be logged out once the password is changed</div>
          <!--<mat-form-field>
            <input matInput placeholder="Enter your old password" [type]="oldPasswordHide ? 'password' : 'text'" [(ngModel)]="oldPassword">
            <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-form-field>-->
          <form [formGroup]="passwordChangeForm">
            <mat-form-field>
              <input matInput placeholder="Enter your new password" type="password" formControlName="password" required>
              <mat-hint class="ac-form-field-description">Minimum 5 characters.</mat-hint>
              <mat-error *ngIf="passwordChangeForm.hasError('required', ['password'])">Please enter your new password</mat-error>
              <mat-error *ngIf="passwordChangeForm.hasError('minlength', ['password'])">Password with less than 5 characters.</mat-error>
            </mat-form-field>
            <mat-form-field>
              <input matInput placeholder="Re Enter your new password" [type]="passwordHide ? 'password' : 'text'" formControlName="confirmPassword"
                     [errorStateMatcher]="matcher" required>
              <mat-icon class="eyeIcon" matSuffix (click)="passwordHide = !passwordHide">{{passwordHide ? 'visibility_off' : 'visibility'}}</mat-icon>
              <mat-error *ngIf="passwordChangeForm.hasError('notSame')">Passwords do not match</mat-error>
            </mat-form-field>
            <div class="CPBG MT20">
              <button mat-raised-button color="accent" class="MR10" (click)="closeChangePasswordGrid()">Close</button>
              <button mat-raised-button color="primary" class="changePasswordBtnEnable" [disabled]="!passwordChangeForm.valid" (click)="changePassword()">Update Password</button>
            </div>
          </form>
        </div>
      </div>

    </div>
  </div>
</div>

<div style="float: right" *ngIf="SUBJECT.SERVICE| can:ACTIONS.WRITE">
  Light Theme <mat-slide-toggle color="primary" (change)="themeToggle($event)"
                    [(ngModel)]="isThemeChangeChecked"> Dark Theme</mat-slide-toggle>
</div>

<div>
  <app-user-edit-form [userDetailsToEdit]="userDetailsToEdit" [isRoleEditable]="false" [showCircularLoader]="showCircularLoaderInEditForm"
                      (userDetailsEvent)="updateUserDetails($event)"></app-user-edit-form>
</div>


<div *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<div class="messagePopup userUpdatedSuccessfully">
  User updated successfully
</div>

<div class="messagePopup userUpdateFailed">
  User update Failed
</div>
